#!/bin/bash
set -e

LAUNCH_AGENTS_PATH="$HOME/Library/LaunchAgents"
LAUNCH_AGENTS_PLIST_PATH="$LAUNCH_AGENTS_PATH/com.mailbutler.agent.plist"

if [ $# -ne 1 ]; then
    echo -e "Usage: $0 <user>"
    exit 1
fi

if [ $(id -u) -ne 0 ]; then
    echo -e "'$0 <user>' must be run as root."
    exit 1
fi

if [ -e "$LAUNCH_AGENTS_PLIST_PATH" ]; then
    chmod 644 "$LAUNCH_AGENTS_PLIST_PATH"
    chgrp staff "$LAUNCH_AGENTS_PLIST_PATH"
    chown $1 "$LAUNCH_AGENTS_PLIST_PATH"
fi

if [ -d "$LAUNCH_AGENTS_PATH" ]; then
  chmod 755 "$LAUNCH_AGENTS_PATH"
  chgrp staff "$LAUNCH_AGENTS_PATH"
  chown $1 "$LAUNCH_AGENTS_PATH"
fi
